Name:		ROX-Filer
Version:	1.3.6
Release:	alt0.2cvs
Summary:	A fast and powerful graphical file manager
Group:		File tools
License:	GPL
Packager:	AVL <avl@altlinux.ru>
URL:		http://rox.sourceforge.net
Source0:	%{name}-cvs20021221.tar.bz2
Source1:	rox-menuitem
Source2:	rox-menu-method
Requires:	shared-mime-info >= 0.8
Provides:	rox
# Automatically added by buildreq on Fri Dec 06 2002
BuildRequires: XFree86-devel XFree86-libs freetype2 glib2-devel libXft libatk-devel libexpat libfontconfig libgtk+2-devel libpango-devel libxml2-devel pkgconfig zlib-devel
Conflicts:	rox-base

%description
ROX-Filer is a fast, powerful, and easy to use graphical file
manager. It has full support for drag-and-drop and application
directories.  The filer can also provide a pinboard (allowing you to pin
up files on your desktop background) and panels.  The emphasis is on
uncluttered directory views; menus and prompts only appear when needed.
ROX-Filer also known as rox.

%define _appsdir %{prefix}/apps

%prep
%setup -q -n %{name}-cvs20021221
find . -name .cvsignore -or -type d -name CVS | xargs rm -rf

%build
export CFLAGS="$RPM_OPT_FLAGS"

(cd ROX-Filer/src/po;./dist)
ROX-Filer/AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_appsdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
#mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages

cp -a ROX-Filer $RPM_BUILD_ROOT%{_appsdir}
rm -rf $RPM_BUILD_ROOT%{_appsdir}/%{name}/src
rm -rf $RPM_BUILD_ROOT%{_appsdir}/%{name}/*/src
#cp -a rox.1 $RPM_BUILD_ROOT%{_mandir}/man1
#( cd $RPM_BUILD_ROOT%{_mandir}/man1 ; ln -s rox.1 ROX-Filer.1 )

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/rox
#!/bin/sh
exec %{_appsdir}/%{name}/AppRun "\$@"
EOF
chmod a+x $RPM_BUILD_ROOT%{_bindir}/rox

cp -a rox.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -a Choices $RPM_BUILD_ROOT%{_datadir}

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -a ROX-Filer/.DirIcon $RPM_BUILD_ROOT%{_datadir}/pixmaps/rox.png

# menuitem
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cp $RPM_SOURCE_DIR/rox-menuitem $RPM_BUILD_ROOT%{_menudir}/rox

# menu-method
mkdir -p $RPM_BUILD_ROOT/etc/menu-methods
cp $RPM_SOURCE_DIR/rox-menu-method $RPM_BUILD_ROOT/etc/menu-methods/rox-menu-method

%post
%{_bindir}/update-mime-database %{_datadir}/mime
%{update_menus}

%postun
%{clean_menus}



%files
%defattr (-,root,root)
%doc README*
%{_appsdir}/*
%{_bindir}/*
#%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_datadir}/Choices
%{_datadir}/mime/packages/*
%{_datadir}/mime/packages/*
%{_menudir}/rox
/etc/menu-methods/rox-menu-method




%changelog
* Thu Feb 06 2003 Alexander V. Nikolaev <avn@altlinux.ru> 1.3.6-alt0.2cvs
- Non-maintainer upload
- Fix missed zlib-devel dependency

* Sat Dec 21 2002 avl <avl@altlinux.ru> 1.3.6-alt0.1cvs
-initial rpm package for sisyphus

